import xml.etree.ElementTree as ET
import os

tags_to_remove = [
  "Attack",
  "BuildingAI",
  "Resistance",
  "Loot"
]

def remove_tags(xml_file):
  tree = ET.parse(xml_file)
  changed = False
  for elem in tree.iter():
    if elem.tag in tags_to_remove:
      tree.getroot().remove(elem)
      changed = True

  if changed:
    tree.write(xml_file)
  else:
    os.remove(xml_file)

for root, directories, filenames in os.walk("templates/"):
  for filename in filenames:
    if ".xml" in filename:
      remove_tags(os.path.join(root,filename))
